package entity;

import flixel.FlxG;
import flixel.FlxSprite;
import flixel.system.FlxAssets.FlxGraphicAsset;

/**
 * ...
 * @author lightsoda
 */
class ECloud extends FlxSprite
{
	var _speed:Float = 10;

	public function new(SimpleGraphic:FlxGraphicAsset, ?X:Float=0, ?Y:Float=0) 
	{
		super(X, Y, SimpleGraphic);
		
		x = FlxG.width * 0.8;
		y = FlxG.height / 2;
	}
	
	override public function update(elapsed:Float):Void 
	{
		super.update(elapsed);
		
		x -= FlxG.elapsed * _speed;
		
		if (x < -width) {
			x = FlxG.width;
		}
	}
	
}